%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate cursive_buffered_backend

Name:           rust-cursive_buffered_backend
Version:        0.6.1
Release:    1%{?dist}
Summary:        Buffering backend for any Cursive backend

License:        MIT
URL:            https://crates.io/crates/cursive_buffered_backend
Source0:         %{crates_source}

BuildRequires:  rust-packaging >= 21
BuildRequires:  sed

%global _description %{expand:
Buffering backend for any Cursive backend.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/ReleaseInstructions.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep
for f in CHANGELOG.md LICENSE README.md ReleaseInstructions.md;
do
  touch -r $f ${f}.tstamp
  sed -i 's/\r$//' $f
  touch -r ${f}.tstamp $f
  rm ${f}.tstamp
done

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.1-1
- initial build
